Index: src/Actions/SelectionAction/AllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/AllAtomsOfMoleculeAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AllAtomsOfMoleculeAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionAllAtomsOfMoleculeAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/AllAtomsOfMoleculeAction.def
===================================================================
--- src/Actions/SelectionAction/AllAtomsOfMoleculeAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AllAtomsOfMoleculeAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (molecule *)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const molecule *)
 #define paramtokens ("select-molecules-atoms")
-#define paramdescriptions ("select all atoms of a molecule")
+#define paramdescriptions ("molecule to select")
+#undef paramdefaults
 #define paramreferences (mol)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "select all atoms of a molecule"
 #undef SHORTFORM
-#define TYPEINFO &typeid(molecule)
Index: src/Actions/SelectionAction/AllMoleculesAction.cpp
===================================================================
--- src/Actions/SelectionAction/AllMoleculesAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AllMoleculesAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -72,7 +72,3 @@
   return true;
 }
-
-const string SelectionAllMoleculesAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/AllMoleculesAction.def
===================================================================
--- src/Actions/SelectionAction/AllMoleculesAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AllMoleculesAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -10,8 +10,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -28,6 +29,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "select all molecules"
 #undef SHORTFORM
-#define TYPEINFO &typeid(void)
Index: src/Actions/SelectionAction/AtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/AtomByElementAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AtomByElementAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionAtomByElementAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/AtomByElementAction.def
===================================================================
--- src/Actions/SelectionAction/AtomByElementAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AtomByElementAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (const element*)
 #define paramtokens ("select-atom-by-element")
-#define paramdescriptions ("select an atom by element")
+#define paramdescriptions ("element")
+#undef paramdefaults
 #define paramreferences (elemental)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "select an atom by element"
 #undef SHORTFORM
-#define TYPEINFO &typeid(const element)
Index: src/Actions/SelectionAction/AtomByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/AtomByIdAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AtomByIdAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionAtomByIdAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/AtomByIdAction.def
===================================================================
--- src/Actions/SelectionAction/AtomByIdAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/AtomByIdAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (atom*)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const atom*)
 #define paramtokens ("select-atom-by-id")
-#define paramdescriptions ("select an atom by index")
+#define paramdescriptions ("atom index")
+#undef paramdefaults
 #define paramreferences (Walker)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "select an atom by index"
 #undef SHORTFORM
-#define TYPEINFO &typeid(atom)
Index: src/Actions/SelectionAction/ClearAllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/ClearAllAtomsAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/ClearAllAtomsAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -72,7 +72,3 @@
   return true;
 }
-
-const string SelectionClearAllAtomsAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/ClearAllAtomsAction.def
===================================================================
--- src/Actions/SelectionAction/ClearAllAtomsAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/ClearAllAtomsAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -10,8 +10,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -28,6 +29,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "clear the atom selection"
 #undef SHORTFORM
-#define TYPEINFO &typeid(void)
Index: src/Actions/SelectionAction/ClearAllMoleculesAction.cpp
===================================================================
--- src/Actions/SelectionAction/ClearAllMoleculesAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/ClearAllMoleculesAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -72,7 +72,3 @@
   return true;
 }
-
-const string SelectionClearAllMoleculesAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/ClearAllMoleculesAction.def
===================================================================
--- src/Actions/SelectionAction/ClearAllMoleculesAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/ClearAllMoleculesAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -10,8 +10,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -28,6 +29,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "clear the molecule selection"
 #undef SHORTFORM
-#define TYPEINFO &typeid(void)
Index: src/Actions/SelectionAction/MoleculeByFormulaAction.cpp
===================================================================
--- src/Actions/SelectionAction/MoleculeByFormulaAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/MoleculeByFormulaAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -77,7 +77,3 @@
   return true;
 }
-
-const string SelectionMoleculeByFormulaAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/MoleculeByFormulaAction.def
===================================================================
--- src/Actions/SelectionAction/MoleculeByFormulaAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/MoleculeByFormulaAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
 #define paramtokens ("select-molecule-by-formula")
-#define paramdescriptions ("select a molecule by chemical formula")
+#define paramdescriptions ("chemical formula")
+#undef paramdefaults
 #define paramreferences (formula)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "select a molecule by chemical formula"
 #undef SHORTFORM
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/SelectionAction/MoleculeByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/MoleculeByIdAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/MoleculeByIdAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionMoleculeByIdAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/MoleculeByIdAction.def
===================================================================
--- src/Actions/SelectionAction/MoleculeByIdAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/MoleculeByIdAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (molecule*)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const molecule*)
 #define paramtokens ("select-molecule-by-id")
-#define paramdescriptions ("select a molecule by index")
+#define paramdescriptions ("molecule index")
+#undef paramdefaults
 #define paramreferences (mol)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "select a molecule by index"
 #undef SHORTFORM
-#define TYPEINFO &typeid(molecule)
Index: src/Actions/SelectionAction/MoleculeOfAtomAction.cpp
===================================================================
--- src/Actions/SelectionAction/MoleculeOfAtomAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/MoleculeOfAtomAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -72,7 +72,3 @@
   return true;
 }
-
-const string SelectionMoleculeOfAtomAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/MoleculeOfAtomAction.def
===================================================================
--- src/Actions/SelectionAction/MoleculeOfAtomAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/MoleculeOfAtomAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -10,8 +10,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (atom*)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const atom*)
 #define paramtokens ("select-molecule-of-atom")
-#define paramdescriptions ("select a molecule to which a given atom belongs")
+#define paramdescriptions ("one atom of desired molecule")
+#undef paramdefaults
 #define paramreferences (Walker)
 
@@ -28,6 +29,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "select a molecule to which a given atom belongs"
 #undef SHORTFORM
-#define TYPEINFO &typeid(atom)
Index: src/Actions/SelectionAction/NotAllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -72,7 +72,3 @@
   return true;
 }
-
-const string SelectionNotAllAtomsAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotAllAtomsAction.def
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect all atoms"
 #undef SHORTFORM
-#define TYPEINFO &typeid(void)
Index: src/Actions/SelectionAction/NotAllAtomsInsideCuboidAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsInsideCuboidAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsInsideCuboidAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -86,7 +86,3 @@
   return true;
 }
-
-const string SelectionNotAllAtomsInsideCuboidAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotAllAtomsInsideCuboidAction.def
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsInsideCuboidAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsInsideCuboidAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -13,8 +13,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)(Vector)(double)(double)(double)
 #define paramtokens ("unselect-atoms-inside-cuboid")("position")("angle-x")("angle-y")("angle-z")
-#define paramdescriptions ("unselect all atoms inside a cuboid")("position in R^3 space")("angle of a rotation around x axis")("angle of a rotation around y axis")("angle of a rotation around z axis")
+#define paramdescriptions ("dimension of cuboid")("position in R^3 space")("angle of a rotation around x axis")("angle of a rotation around y axis")("angle of a rotation around z axis")
+#undef paramdefaults
 #define paramreferences (extension)(position)(Xangle)(Yangle)(Zangle)
 
@@ -31,6 +32,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect all atoms inside a cuboid"
 #undef SHORTFORM
-#define TYPEINFO &typeid(VectorValue)
Index: src/Actions/SelectionAction/NotAllAtomsInsideSphereAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsInsideSphereAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsInsideSphereAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -80,7 +80,3 @@
   return true;
 }
-
-const string SelectionNotAllAtomsInsideSphereAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotAllAtomsInsideSphereAction.def
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsInsideSphereAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsInsideSphereAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)(Vector)
 #define paramtokens ("unselect-atoms-inside-sphere")("position")
-#define paramdescriptions ("unselect all atoms inside a sphere")("position in R^3 space")
+#define paramdescriptions ("radius of sphere")("position in R^3 space")
+#undef paramdefaults
 #define paramreferences (radius)(position)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect all atoms inside a sphere"
 #undef SHORTFORM
-#define TYPEINFO &typeid(double)
Index: src/Actions/SelectionAction/NotAllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsOfMoleculeAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsOfMoleculeAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionNotAllAtomsOfMoleculeAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotAllAtomsOfMoleculeAction.def
===================================================================
--- src/Actions/SelectionAction/NotAllAtomsOfMoleculeAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllAtomsOfMoleculeAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (molecule*)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const molecule*)
 #define paramtokens ("unselect-molecules-atoms")
-#define paramdescriptions ("unselect all atoms of a molecule")
+#define paramdescriptions ("molecule")
+#undef paramdefaults
 #define paramreferences (mol)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect all atoms of a molecule"
 #undef SHORTFORM
-#define TYPEINFO &typeid(molecule)
Index: src/Actions/SelectionAction/NotAllMoleculesAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotAllMoleculesAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllMoleculesAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -72,7 +72,3 @@
   return true;
 }
-
-const string SelectionNotAllMoleculesAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotAllMoleculesAction.def
===================================================================
--- src/Actions/SelectionAction/NotAllMoleculesAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAllMoleculesAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -10,8 +10,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -28,6 +29,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect all molecules"
 #undef SHORTFORM
-#define TYPEINFO &typeid(void)
Index: src/Actions/SelectionAction/NotAtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotAtomByElementAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAtomByElementAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionNotAtomByElementAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotAtomByElementAction.def
===================================================================
--- src/Actions/SelectionAction/NotAtomByElementAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAtomByElementAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (const element*)
 #define paramtokens ("unselect-atom-by-element")
-#define paramdescriptions ("unselect an atom by element")
+#define paramdescriptions ("element")
+#undef paramdefaults
 #define paramreferences (elemental)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect an atom by element"
 #undef SHORTFORM
-#define TYPEINFO &typeid(const element)
Index: src/Actions/SelectionAction/NotAtomByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotAtomByIdAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAtomByIdAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionNotAtomByIdAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotAtomByIdAction.def
===================================================================
--- src/Actions/SelectionAction/NotAtomByIdAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotAtomByIdAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (atom*)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const atom*)
 #define paramtokens ("unselect-atom-by-id")
-#define paramdescriptions ("unselect an atom by index")
+#define paramdescriptions ("atom index")
+#undef paramdefaults
 #define paramreferences (Walker)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect an atom by index"
 #undef SHORTFORM
-#define TYPEINFO &typeid(atom)
Index: src/Actions/SelectionAction/NotMoleculeByFormulaAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotMoleculeByFormulaAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotMoleculeByFormulaAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -77,7 +77,3 @@
   return true;
 }
-
-const string SelectionNotMoleculeByFormulaAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotMoleculeByFormulaAction.def
===================================================================
--- src/Actions/SelectionAction/NotMoleculeByFormulaAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotMoleculeByFormulaAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
 #define paramtokens ("unselect-molecule-by-formula")
-#define paramdescriptions ("unselect a molecule by chemical formula")
+#define paramdescriptions ("chemical formula")
+#undef paramdefaults
 #define paramreferences (formula)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect a molecule by chemical formula"
 #undef SHORTFORM
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/SelectionAction/NotMoleculeByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotMoleculeByIdAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotMoleculeByIdAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -74,7 +74,3 @@
   return true;
 }
-
-const string SelectionNotMoleculeByIdAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotMoleculeByIdAction.def
===================================================================
--- src/Actions/SelectionAction/NotMoleculeByIdAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotMoleculeByIdAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (molecule*)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const molecule*)
 #define paramtokens ("unselect-molecule-by-id")
-#define paramdescriptions ("unselect a molecule by index")
+#define paramdescriptions ("molecule index")
+#undef paramdefaults
 #define paramreferences (mol)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect a molecule by index"
 #undef SHORTFORM
-#define TYPEINFO &typeid(molecule)
Index: src/Actions/SelectionAction/NotMoleculeOfAtomAction.cpp
===================================================================
--- src/Actions/SelectionAction/NotMoleculeOfAtomAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotMoleculeOfAtomAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -72,7 +72,3 @@
   return true;
 }
-
-const string SelectionNotMoleculeOfAtomAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/SelectionAction/NotMoleculeOfAtomAction.def
===================================================================
--- src/Actions/SelectionAction/NotMoleculeOfAtomAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/SelectionAction/NotMoleculeOfAtomAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -10,8 +10,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (atom*)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const atom*)
 #define paramtokens ("unselect-molecule-of-atom")
-#define paramdescriptions ("unselect a molecule to which a given atom belongs")
+#define paramdescriptions ("one atom of desired molecule")
+#undef paramdefaults
 #define paramreferences (Walker)
 
@@ -28,6 +29,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "unselect a molecule to which a given atom belongs"
 #undef SHORTFORM
-#define TYPEINFO &typeid(atom)
